#ifndef INC_GTLABEL_H
#define INC_GTLABEL_H

#include "gtwidget.h"
#include "gtpixmap.h"

/************************************************************************\
*
* GtLabel class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

class GtLabel : public GtWidget
{
public:
		/* Standard */
	GtLabel(void);
	void Destroy(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtLabel"); }
	sbool IsSubClassOf(char *cn);
		/* Values */
	void SetEMask(ulong em);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
protected:
		/* Instance variables */
	union
	{
		struct GtStrPart *str;
		GtPixmap *pix;
	} ld;
	word loff,lw,lh,ulxp,ulyp,ulw;
	int lrows;
	ubyte ltype,lalign,ulch;
	sbool lppix;
};

extern GtLabel *GtMkLabel(char *n,GtManager *p,GtTag *tgs);
extern GtLabel *GtMkLabel(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTLABEL_H */
