#ifndef INC_GTRADIOGROUP_H
#define INC_GTRADIOGROUP_H

#include "gtgroup.h"

/************************************************************************\
*
* GtRadioGroup class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

class GtToggle;

/* Type of radiogroup */
#define GTRT_ZERO			0
#define GTRT_ONE			1
#define GTRT_LAST_NR	1


class GtRadioGroup : public GtGroup
{
public:
		/* Standard */
	GtRadioGroup(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtRadioGroup"); }
	sbool IsSubClassOf(char *cn);
		/* Child requests */
	sbool ChangeReq(GtToggle *t,sbool on);
	sbool SetReq(GtToggle *t,sbool on);
protected:
		/* Instance variables */
	GtToggle *active;
	ubyte rtype;
};

extern GtRadioGroup *GtMkRadioGroup(char *n,GtManager *p,GtTag *tgs);
extern GtRadioGroup *GtMkRadioGroup(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTRADIOGROUP_H */
